All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.relational
Class HttpRelationalActionStrategyFactory

    com.sas.actionprovider.strategies.relational.HttpRelationalActionStrategyFactory

All Implemented Interfaces:
  HttpRelationalActionTypeKeysInterface, RelationalActionTypeKeysInterface, TableViewAreaInterface

    public class HttpRelationalActionStrategyFactory

implements TableViewAreaInterface, HttpRelationalActionTypeKeysInterface

Field Summary

Fields inherited from interface com.sas.actionprovider.support.tableview.TableViewAreaInterface
`COLUMN_HEADER_AREA, DATA_CELL_AREA, EDIT_COLUMN_AREA, EDIT_ROW_AREA, ROW_HEADER_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.support.tableview.HttpRelationalActionTypeKeysInterface
`CANCEL_ACTION, CLEAR_SORT_EDIT_ENABLED_ACTION, COLUMN_HEADER_ACTION, COMMIT_ACTION, COMMIT_DELETE_ACTION, DELETE_ACTION, INSERT_ACTION, MOVE_COLUMN_LEFT_EDIT_ENABLED_ACTION, MOVE_COLUMN_RIGHT_EDIT_ENABLED_ACTION, RESIZE_COLUMN_ACTION, SORT_COLUMN_ASCENDING_EDIT_ENABLED_ACTION, SORT_COLUMN_DESCENDING_EDIT_ENABLED_ACTION, UPDATE_ACTION`

Fields inherited from interface com.sas.actionprovider.support.tableview.RelationalActionTypeKeysInterface
`CALCULATED_ITEM_SELECTOR_ACTION, CLEAR_SORT_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, MOVE_COLUMN_LEFT_ACTION, MOVE_COLUMN_RIGHT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, SORT_COLUMN_ASCENDING_ACTION, SORT_COLUMN_DESCENDING_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Constructor Summary
`HttpRelationalActionStrategyFactory()`

Method Summary
`static ActionStrategyInterface` | `getActionStrategy(java.lang.String areaType, java.lang.String actionType, boolean fromCache)` Creates an action strategy for the areaType and actionType.

Constructor Detail

### HttpRelationalActionStrategyFactory

    public HttpRelationalActionStrategyFactory()

Method Detail

### getActionStrategy

    public static ActionStrategyInterface getActionStrategy(java.lang.String areaType,
                                                            java.lang.String actionType,
                                                            boolean fromCache)

  Creates an action strategy for the areaType and actionType.

  Parameters:
    `areaType` - the area type of the action. There are three valid values for this parameter: VisualDataExplorerMenuBarAreaInterface.MENU_AREA, VisualDataExplorerMenuBarAreaInterface.TOOLBAR_AREA, and VisualDataExplorerMenuBarAreaInterface.RIGHT_AREA
    `actionType` - the action type. See `com.sas.dataexplorer.actionprovider.support.dataexplorer.VisualDataExplorerMenuBarActionTypesInterface` and `com.sas.dataexplorer.actionprovider.support.viewsnavigator.ViewsNavigatorActionTypesInterface` for valid action types.
    `fromCache` - Boolean indicating whether to get the action strategy from the cache or not
  Returns:
    the action strategy

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.